/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.base;

public class ObjectLog extends com.mysql.grt.GrtObject {

    protected ObjectLog() {
    }

    public ObjectLog(Object obj) {
        super();

        if ((obj == null) || (obj instanceof com.mysql.grt.GrtObject)) {
            data = new ObjectLogDataLocal(this);

            data.setOwner((com.mysql.grt.GrtObject) obj);
            com.mysql.grt.Grt.getInstance().addToObjectCache(this);
        } else if (obj instanceof String) {
            data = new ObjectLogDataGlobal((String) obj);
        }
    }

    public com.mysql.grt.base.ObjectLogEntryList getEntries() {
        return ((ObjectLogData) data).getEntries();
    }

    public com.mysql.grt.base.ObjectLogEntryList setEntries(com.mysql.grt.base.ObjectLogEntryList entries) {
        ((ObjectLogData) data).setEntries(entries);

        return getEntries();
    }

    public com.mysql.grt.GrtObject getLogObject() {
        return ((ObjectLogData) data).getLogObject();
    }

    public com.mysql.grt.GrtObject setLogObject(com.mysql.grt.GrtObject logObject) {
        ((ObjectLogData) data).setLogObject(logObject);

        return getLogObject();
    }

    public String getLogObjectById() {
        return ((ObjectLogData) data).getLogObjectById();
    }

    public void setLogObjectById(String logObject) {
        ((ObjectLogData) data).setLogObjectById(logObject);
    }

    public com.mysql.grt.GrtObject getRefObject() {
        return ((ObjectLogData) data).getRefObject();
    }

    public com.mysql.grt.GrtObject setRefObject(com.mysql.grt.GrtObject refObject) {
        ((ObjectLogData) data).setRefObject(refObject);

        return getRefObject();
    }

    public String getRefObjectById() {
        return ((ObjectLogData) data).getRefObjectById();
    }

    public void setRefObjectById(String refObject) {
        ((ObjectLogData) data).setRefObjectById(refObject);
    }

    public StringBuffer getGrtXmlMembers(StringBuffer xml) {
        super.getGrtXmlMembers(xml);

            if (getEntries() != null) {
                getEntries().getGrtXml(xml, " key=\"entries\"");
            }

            if (getLogObject() != null) {
                xml.append("<value type=\"string\" option=\"ref\" key=\"logObject\">"
                        + getLogObjectById() + "</value>\n");
            }

            if (getRefObject() != null) {
                xml.append("<value type=\"string\" option=\"ref\" key=\"refObject\">"
                        + getRefObjectById() + "</value>\n");
            }

        return xml;
    }
}
