/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.base;

public class PluginDataLocal extends com.mysql.grt.GrtObjectDataLocal implements PluginData {

    private int singleArgument;

    private String caption;

    private String description;

    private String groupPath;

    private String moduleName;

    private String moduleFunctionName;

    private com.mysql.grt.GrtStringList categories;

    private com.mysql.grt.GrtStringList objectStructNames;

    public PluginDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public int getSingleArgument() {
        return singleArgument;
    }

    public int setSingleArgument(int singleArgument) {
        this.singleArgument = singleArgument;

        return getSingleArgument();
    }

    public String getCaption() {
        return caption;
    }

    public String setCaption(String caption) {
        this.caption = caption;

        return getCaption();
    }

    public String getDescription() {
        return description;
    }

    public String setDescription(String description) {
        this.description = description;

        return getDescription();
    }

    public String getGroupPath() {
        return groupPath;
    }

    public String setGroupPath(String groupPath) {
        this.groupPath = groupPath;

        return getGroupPath();
    }

    public String getModuleName() {
        return moduleName;
    }

    public String setModuleName(String moduleName) {
        this.moduleName = moduleName;

        return getModuleName();
    }

    public String getModuleFunctionName() {
        return moduleFunctionName;
    }

    public String setModuleFunctionName(String moduleFunctionName) {
        this.moduleFunctionName = moduleFunctionName;

        return getModuleFunctionName();
    }

    public com.mysql.grt.GrtStringList getCategories() {
        if (categories == null)
            categories = new com.mysql.grt.GrtStringList(this.grtObject);
        return categories;
    }

    public com.mysql.grt.GrtStringList setCategories(com.mysql.grt.GrtStringList categories) {
        this.categories = categories;
        return getCategories();
    }

    public com.mysql.grt.GrtStringList getObjectStructNames() {
        if (objectStructNames == null)
            objectStructNames = new com.mysql.grt.GrtStringList(this.grtObject);
        return objectStructNames;
    }

    public com.mysql.grt.GrtStringList setObjectStructNames(com.mysql.grt.GrtStringList objectStructNames) {
        this.objectStructNames = objectStructNames;
        return getObjectStructNames();
    }

}
