/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.canvas;

public class FigureInstance extends com.mysql.grt.GrtObject {

    protected FigureInstance() {
    }

    public FigureInstance(Object obj) {
        super();

        if ((obj == null) || (obj instanceof com.mysql.grt.GrtObject)) {
            data = new FigureInstanceDataLocal(this);

            data.setOwner((com.mysql.grt.GrtObject) obj);
            com.mysql.grt.Grt.getInstance().addToObjectCache(this);
        } else if (obj instanceof String) {
            data = new FigureInstanceDataGlobal((String) obj);
        }
    }

    public int getSelected() {
        return ((FigureInstanceData) data).getSelected();
    }

    public int setSelected(int selected) {
        ((FigureInstanceData) data).setSelected(selected);

        return getSelected();
    }

    public com.mysql.grt.GrtRealList getScaling() {
        return ((FigureInstanceData) data).getScaling();
    }

    public com.mysql.grt.GrtRealList setScaling(com.mysql.grt.GrtRealList scaling) {
        ((FigureInstanceData) data).setScaling(scaling);

        return getScaling();
    }

    public com.mysql.grt.GrtRealList getTranslation() {
        return ((FigureInstanceData) data).getTranslation();
    }

    public com.mysql.grt.GrtRealList setTranslation(com.mysql.grt.GrtRealList translation) {
        ((FigureInstanceData) data).setTranslation(translation);

        return getTranslation();
    }

    public com.mysql.grt.GrtRealList getRotation() {
        return ((FigureInstanceData) data).getRotation();
    }

    public com.mysql.grt.GrtRealList setRotation(com.mysql.grt.GrtRealList rotation) {
        ((FigureInstanceData) data).setRotation(rotation);

        return getRotation();
    }

    public com.mysql.grt.canvas.Figure getFigure() {
        return ((FigureInstanceData) data).getFigure();
    }

    public com.mysql.grt.canvas.Figure setFigure(com.mysql.grt.canvas.Figure figure) {
        ((FigureInstanceData) data).setFigure(figure);

        return getFigure();
    }

    public String getFigureById() {
        return ((FigureInstanceData) data).getFigureById();
    }

    public void setFigureById(String figure) {
        ((FigureInstanceData) data).setFigureById(figure);
    }

    public StringBuffer getGrtXmlMembers(StringBuffer xml) {
        super.getGrtXmlMembers(xml);

            xml.append("<value type=\"int\" key=\"selected\">"
                    + Integer.toString(getSelected()) + "</value>\n");

            if (getScaling() != null) {
                getScaling().getGrtXml(xml, " key=\"scaling\"");
            }

            if (getTranslation() != null) {
                getTranslation().getGrtXml(xml, " key=\"translation\"");
            }

            if (getRotation() != null) {
                getRotation().getGrtXml(xml, " key=\"rotation\"");
            }

            if (getFigure() != null) {
                xml.append("<value type=\"string\" option=\"ref\" key=\"figure\">"
                        + getFigureById() + "</value>\n");
            }

        return xml;
    }
}
