/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.canvas;

public class ModelDataLocal extends com.mysql.grt.GrtObjectDataLocal implements ModelData {

    private com.mysql.grt.canvas.FigureList figures;

    private com.mysql.grt.canvas.LayoutList layouts;

    private com.mysql.grt.canvas.StyleList styles;

    public ModelDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public com.mysql.grt.canvas.FigureList getFigures() {
        if (figures == null)
            figures = new com.mysql.grt.canvas.FigureList(this.grtObject);
        return figures;
    }

    public com.mysql.grt.canvas.FigureList setFigures(com.mysql.grt.canvas.FigureList figures) {
        this.figures = figures;
        return getFigures();
    }

    public com.mysql.grt.canvas.LayoutList getLayouts() {
        if (layouts == null)
            layouts = new com.mysql.grt.canvas.LayoutList(this.grtObject);
        return layouts;
    }

    public com.mysql.grt.canvas.LayoutList setLayouts(com.mysql.grt.canvas.LayoutList layouts) {
        this.layouts = layouts;
        return getLayouts();
    }

    public com.mysql.grt.canvas.StyleList getStyles() {
        if (styles == null)
            styles = new com.mysql.grt.canvas.StyleList(this.grtObject);
        return styles;
    }

    public com.mysql.grt.canvas.StyleList setStyles(com.mysql.grt.canvas.StyleList styles) {
        this.styles = styles;
        return getStyles();
    }

}
