/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db;

public interface ColumnData extends com.mysql.grt.base.NamedGrtObjectData {

    public int getDefaultValueIsNull();

    public int setDefaultValueIsNull(int defaultValueIsNull);

    public int getPrecision();

    public int setPrecision(int precision);

    public int getScale();

    public int setScale(int scale);

    public int getIsNullable();

    public int setIsNullable(int isNullable);

    public int getLength();

    public int setLength(int length);

    public String getDatatypeName();

    public String setDatatypeName(String datatypeName);

    public String getDefaultValue();

    public String setDefaultValue(String defaultValue);

    public String getCharacterSetName();

    public String setCharacterSetName(String characterSetName);

    public String getCollationName();

    public String setCollationName(String collationName);

    public com.mysql.grt.GrtStringList getFlags();

    public com.mysql.grt.GrtStringList setFlags(com.mysql.grt.GrtStringList flags);

    public com.mysql.grt.db.CheckConstraintList getChecks();

    public com.mysql.grt.db.CheckConstraintList setChecks(com.mysql.grt.db.CheckConstraintList checks);

    public com.mysql.grt.db.SimpleDatatype getSimpleType();

    public com.mysql.grt.db.SimpleDatatype setSimpleType(com.mysql.grt.db.SimpleDatatype simpleType);

    public String getSimpleTypeById();

    public void setSimpleTypeById(String simpleType);

    public com.mysql.grt.db.StructuredDatatype getStructuredDatatype();

    public com.mysql.grt.db.StructuredDatatype setStructuredDatatype(com.mysql.grt.db.StructuredDatatype structuredDatatype);

    public String getStructuredDatatypeById();

    public void setStructuredDatatypeById(String structuredDatatype);

}
