/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db;

public class ColumnDataGlobal extends com.mysql.grt.base.NamedGrtObjectDataGlobal implements ColumnData {

    public ColumnDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public int getDefaultValueIsNull() {
        return getGrtGlobalAsInt("defaultValueIsNull");
    }

    public int setDefaultValueIsNull(int defaultValueIsNull) {
        setGrtGlobalFromInt("defaultValueIsNull", defaultValueIsNull);

        return getDefaultValueIsNull();
    }

    public int getPrecision() {
        return getGrtGlobalAsInt("precision");
    }

    public int setPrecision(int precision) {
        setGrtGlobalFromInt("precision", precision);

        return getPrecision();
    }

    public int getScale() {
        return getGrtGlobalAsInt("scale");
    }

    public int setScale(int scale) {
        setGrtGlobalFromInt("scale", scale);

        return getScale();
    }

    public int getIsNullable() {
        return getGrtGlobalAsInt("isNullable");
    }

    public int setIsNullable(int isNullable) {
        setGrtGlobalFromInt("isNullable", isNullable);

        return getIsNullable();
    }

    public int getLength() {
        return getGrtGlobalAsInt("length");
    }

    public int setLength(int length) {
        setGrtGlobalFromInt("length", length);

        return getLength();
    }

    public String getDatatypeName() {
        return getGrtGlobalAsString("datatypeName");
    }

    public String setDatatypeName(String datatypeName) {
        setGrtGlobalFromString("datatypeName", datatypeName);

        return getDatatypeName();
    }

    public String getDefaultValue() {
        return getGrtGlobalAsString("defaultValue");
    }

    public String setDefaultValue(String defaultValue) {
        setGrtGlobalFromString("defaultValue", defaultValue);

        return getDefaultValue();
    }

    public String getCharacterSetName() {
        return getGrtGlobalAsString("characterSetName");
    }

    public String setCharacterSetName(String characterSetName) {
        setGrtGlobalFromString("characterSetName", characterSetName);

        return getCharacterSetName();
    }

    public String getCollationName() {
        return getGrtGlobalAsString("collationName");
    }

    public String setCollationName(String collationName) {
        setGrtGlobalFromString("collationName", collationName);

        return getCollationName();
    }

    public com.mysql.grt.GrtStringList getFlags() {
        return (com.mysql.grt.GrtStringList) getGrtGlobalAsObject("flags");
    }

    public com.mysql.grt.GrtStringList setFlags(com.mysql.grt.GrtStringList flags) {
        setGrtGlobalFromObject("flags", flags);

        return getFlags();
    }

    public com.mysql.grt.db.CheckConstraintList getChecks() {
        return (com.mysql.grt.db.CheckConstraintList) getGrtGlobalAsObject("checks");
    }

    public com.mysql.grt.db.CheckConstraintList setChecks(com.mysql.grt.db.CheckConstraintList checks) {
        setGrtGlobalFromObject("checks", checks);

        return getChecks();
    }

    public com.mysql.grt.db.SimpleDatatype getSimpleType() {
        return (com.mysql.grt.db.SimpleDatatype) com.mysql.grt.Grt.getInstance().getObjectByRefId(
                getGrtGlobalAsString("simpleType"));
    }

    public com.mysql.grt.db.SimpleDatatype setSimpleType(com.mysql.grt.db.SimpleDatatype simpleType) {
        setGrtGlobalFromString("simpleType", simpleType.get_id());

        return getSimpleType();
    }

    public String getSimpleTypeById() {
        return getGrtGlobalAsString("simpleType");
    }

    public void setSimpleTypeById(String simpleType) {
        setGrtGlobalFromString("simpleType", simpleType);
    }

    public com.mysql.grt.db.StructuredDatatype getStructuredDatatype() {
        return (com.mysql.grt.db.StructuredDatatype) com.mysql.grt.Grt.getInstance().getObjectByRefId(
                getGrtGlobalAsString("structuredDatatype"));
    }

    public com.mysql.grt.db.StructuredDatatype setStructuredDatatype(com.mysql.grt.db.StructuredDatatype structuredDatatype) {
        setGrtGlobalFromString("structuredDatatype", structuredDatatype.get_id());

        return getStructuredDatatype();
    }

    public String getStructuredDatatypeById() {
        return getGrtGlobalAsString("structuredDatatype");
    }

    public void setStructuredDatatypeById(String structuredDatatype) {
        setGrtGlobalFromString("structuredDatatype", structuredDatatype);
    }

}
