/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db;

public class ColumnDataLocal extends com.mysql.grt.base.NamedGrtObjectDataLocal implements ColumnData {

    private int defaultValueIsNull;

    private int precision;

    private int scale;

    private int isNullable;

    private int length;

    private String datatypeName;

    private String defaultValue;

    private String characterSetName;

    private String collationName;

    private com.mysql.grt.GrtStringList flags;

    private com.mysql.grt.db.CheckConstraintList checks;

    private String simpleType;

    private String structuredDatatype;

    public ColumnDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public int getDefaultValueIsNull() {
        return defaultValueIsNull;
    }

    public int setDefaultValueIsNull(int defaultValueIsNull) {
        this.defaultValueIsNull = defaultValueIsNull;

        return getDefaultValueIsNull();
    }

    public int getPrecision() {
        return precision;
    }

    public int setPrecision(int precision) {
        this.precision = precision;

        return getPrecision();
    }

    public int getScale() {
        return scale;
    }

    public int setScale(int scale) {
        this.scale = scale;

        return getScale();
    }

    public int getIsNullable() {
        return isNullable;
    }

    public int setIsNullable(int isNullable) {
        this.isNullable = isNullable;

        return getIsNullable();
    }

    public int getLength() {
        return length;
    }

    public int setLength(int length) {
        this.length = length;

        return getLength();
    }

    public String getDatatypeName() {
        return datatypeName;
    }

    public String setDatatypeName(String datatypeName) {
        this.datatypeName = datatypeName;

        return getDatatypeName();
    }

    public String getDefaultValue() {
        return defaultValue;
    }

    public String setDefaultValue(String defaultValue) {
        this.defaultValue = defaultValue;

        return getDefaultValue();
    }

    public String getCharacterSetName() {
        return characterSetName;
    }

    public String setCharacterSetName(String characterSetName) {
        this.characterSetName = characterSetName;

        return getCharacterSetName();
    }

    public String getCollationName() {
        return collationName;
    }

    public String setCollationName(String collationName) {
        this.collationName = collationName;

        return getCollationName();
    }

    public com.mysql.grt.GrtStringList getFlags() {
        if (flags == null)
            flags = new com.mysql.grt.GrtStringList(this.grtObject);
        return flags;
    }

    public com.mysql.grt.GrtStringList setFlags(com.mysql.grt.GrtStringList flags) {
        this.flags = flags;
        return getFlags();
    }

    public com.mysql.grt.db.CheckConstraintList getChecks() {
        if (checks == null)
            checks = new com.mysql.grt.db.CheckConstraintList(this.grtObject);
        return checks;
    }

    public com.mysql.grt.db.CheckConstraintList setChecks(com.mysql.grt.db.CheckConstraintList checks) {
        this.checks = checks;
        return getChecks();
    }

    public com.mysql.grt.db.SimpleDatatype getSimpleType() {
        return (com.mysql.grt.db.SimpleDatatype) com.mysql.grt.Grt.getInstance().getObjectByRefId(simpleType);
    }

    public com.mysql.grt.db.SimpleDatatype setSimpleType(com.mysql.grt.db.SimpleDatatype simpleType) {
        this.simpleType = simpleType.get_id();
        return getSimpleType();
    }

    public String getSimpleTypeById() {
        return simpleType;
    }

    public void setSimpleTypeById(String simpleType) {
        this.simpleType = simpleType;
    }

    public com.mysql.grt.db.StructuredDatatype getStructuredDatatype() {
        return (com.mysql.grt.db.StructuredDatatype) com.mysql.grt.Grt.getInstance().getObjectByRefId(structuredDatatype);
    }

    public com.mysql.grt.db.StructuredDatatype setStructuredDatatype(com.mysql.grt.db.StructuredDatatype structuredDatatype) {
        this.structuredDatatype = structuredDatatype.get_id();
        return getStructuredDatatype();
    }

    public String getStructuredDatatypeById() {
        return structuredDatatype;
    }

    public void setStructuredDatatypeById(String structuredDatatype) {
        this.structuredDatatype = structuredDatatype;
    }

}
