/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db;

public class ForeignKeyDataLocal extends com.mysql.grt.base.NamedGrtObjectDataLocal implements ForeignKeyData {

    private int deferability;

    private String deleteRule;

    private String updateRule;

    private String referedTableSchemaName;

    private String referedTableName;

    private com.mysql.grt.GrtStringList referedColumnNames;

    private String referedTable;

    private com.mysql.grt.db.ColumnList columns;

    private com.mysql.grt.db.ColumnList referedColumns;

    public ForeignKeyDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public int getDeferability() {
        return deferability;
    }

    public int setDeferability(int deferability) {
        this.deferability = deferability;

        return getDeferability();
    }

    public String getDeleteRule() {
        return deleteRule;
    }

    public String setDeleteRule(String deleteRule) {
        this.deleteRule = deleteRule;

        return getDeleteRule();
    }

    public String getUpdateRule() {
        return updateRule;
    }

    public String setUpdateRule(String updateRule) {
        this.updateRule = updateRule;

        return getUpdateRule();
    }

    public String getReferedTableSchemaName() {
        return referedTableSchemaName;
    }

    public String setReferedTableSchemaName(String referedTableSchemaName) {
        this.referedTableSchemaName = referedTableSchemaName;

        return getReferedTableSchemaName();
    }

    public String getReferedTableName() {
        return referedTableName;
    }

    public String setReferedTableName(String referedTableName) {
        this.referedTableName = referedTableName;

        return getReferedTableName();
    }

    public com.mysql.grt.GrtStringList getReferedColumnNames() {
        if (referedColumnNames == null)
            referedColumnNames = new com.mysql.grt.GrtStringList(this.grtObject);
        return referedColumnNames;
    }

    public com.mysql.grt.GrtStringList setReferedColumnNames(com.mysql.grt.GrtStringList referedColumnNames) {
        this.referedColumnNames = referedColumnNames;
        return getReferedColumnNames();
    }

    public com.mysql.grt.db.Table getReferedTable() {
        return (com.mysql.grt.db.Table) com.mysql.grt.Grt.getInstance().getObjectByRefId(referedTable);
    }

    public com.mysql.grt.db.Table setReferedTable(com.mysql.grt.db.Table referedTable) {
        this.referedTable = referedTable.get_id();
        return getReferedTable();
    }

    public String getReferedTableById() {
        return referedTable;
    }

    public void setReferedTableById(String referedTable) {
        this.referedTable = referedTable;
    }

    public com.mysql.grt.db.ColumnList getColumns() {
        if (columns == null)
            columns = new com.mysql.grt.db.ColumnList(this.grtObject);
        return columns;
    }

    public com.mysql.grt.db.ColumnList setColumns(com.mysql.grt.db.ColumnList columns) {
        this.columns = columns;
        return getColumns();
    }

    public com.mysql.grt.db.ColumnList getReferedColumns() {
        if (referedColumns == null)
            referedColumns = new com.mysql.grt.db.ColumnList(this.grtObject);
        return referedColumns;
    }

    public com.mysql.grt.db.ColumnList setReferedColumns(com.mysql.grt.db.ColumnList referedColumns) {
        this.referedColumns = referedColumns;
        return getReferedColumns();
    }

}
