/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db;

public class IndexColumnDataGlobal extends com.mysql.grt.GrtObjectDataGlobal implements IndexColumnData {

    public IndexColumnDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public int getColumnLength() {
        return getGrtGlobalAsInt("columnLength");
    }

    public int setColumnLength(int columnLength) {
        setGrtGlobalFromInt("columnLength", columnLength);

        return getColumnLength();
    }

    public int getDescend() {
        return getGrtGlobalAsInt("descend");
    }

    public int setDescend(int descend) {
        setGrtGlobalFromInt("descend", descend);

        return getDescend();
    }

    public String getStoredFunction() {
        return getGrtGlobalAsString("storedFunction");
    }

    public String setStoredFunction(String storedFunction) {
        setGrtGlobalFromString("storedFunction", storedFunction);

        return getStoredFunction();
    }

    public String getComment() {
        return getGrtGlobalAsString("comment");
    }

    public String setComment(String comment) {
        setGrtGlobalFromString("comment", comment);

        return getComment();
    }

    public com.mysql.grt.db.Column getReferedColumn() {
        return (com.mysql.grt.db.Column) com.mysql.grt.Grt.getInstance().getObjectByRefId(
                getGrtGlobalAsString("referedColumn"));
    }

    public com.mysql.grt.db.Column setReferedColumn(com.mysql.grt.db.Column referedColumn) {
        setGrtGlobalFromString("referedColumn", referedColumn.get_id());

        return getReferedColumn();
    }

    public String getReferedColumnById() {
        return getGrtGlobalAsString("referedColumn");
    }

    public void setReferedColumnById(String referedColumn) {
        setGrtGlobalFromString("referedColumn", referedColumn);
    }

}
