/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db;

public class SimpleDatatypeDataGlobal extends com.mysql.grt.GrtObjectDataGlobal implements SimpleDatatypeData {

    public SimpleDatatypeDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public int getCharacterMaximumLength() {
        return getGrtGlobalAsInt("characterMaximumLength");
    }

    public int setCharacterMaximumLength(int characterMaximumLength) {
        setGrtGlobalFromInt("characterMaximumLength", characterMaximumLength);

        return getCharacterMaximumLength();
    }

    public int getCharacterOctetLength() {
        return getGrtGlobalAsInt("characterOctetLength");
    }

    public int setCharacterOctetLength(int characterOctetLength) {
        setGrtGlobalFromInt("characterOctetLength", characterOctetLength);

        return getCharacterOctetLength();
    }

    public int getNumericPrecision() {
        return getGrtGlobalAsInt("numericPrecision");
    }

    public int setNumericPrecision(int numericPrecision) {
        setGrtGlobalFromInt("numericPrecision", numericPrecision);

        return getNumericPrecision();
    }

    public int getNumericPrecisionRadix() {
        return getGrtGlobalAsInt("numericPrecisionRadix");
    }

    public int setNumericPrecisionRadix(int numericPrecisionRadix) {
        setGrtGlobalFromInt("numericPrecisionRadix", numericPrecisionRadix);

        return getNumericPrecisionRadix();
    }

    public int getNumericScale() {
        return getGrtGlobalAsInt("numericScale");
    }

    public int setNumericScale(int numericScale) {
        setGrtGlobalFromInt("numericScale", numericScale);

        return getNumericScale();
    }

    public int getDateTimePrecision() {
        return getGrtGlobalAsInt("dateTimePrecision");
    }

    public int setDateTimePrecision(int dateTimePrecision) {
        setGrtGlobalFromInt("dateTimePrecision", dateTimePrecision);

        return getDateTimePrecision();
    }

    public com.mysql.grt.GrtStringList getSynonyms() {
        return (com.mysql.grt.GrtStringList) getGrtGlobalAsObject("synonyms");
    }

    public com.mysql.grt.GrtStringList setSynonyms(com.mysql.grt.GrtStringList synonyms) {
        setGrtGlobalFromObject("synonyms", synonyms);

        return getSynonyms();
    }

    public com.mysql.grt.GrtStringList getFlags() {
        return (com.mysql.grt.GrtStringList) getGrtGlobalAsObject("flags");
    }

    public com.mysql.grt.GrtStringList setFlags(com.mysql.grt.GrtStringList flags) {
        setGrtGlobalFromObject("flags", flags);

        return getFlags();
    }

    public com.mysql.grt.db.DatatypeGroup getGroup() {
        return (com.mysql.grt.db.DatatypeGroup) com.mysql.grt.Grt.getInstance().getObjectByRefId(
                getGrtGlobalAsString("group"));
    }

    public com.mysql.grt.db.DatatypeGroup setGroup(com.mysql.grt.db.DatatypeGroup group) {
        setGrtGlobalFromString("group", group.get_id());

        return getGroup();
    }

    public String getGroupById() {
        return getGrtGlobalAsString("group");
    }

    public void setGroupById(String group) {
        setGrtGlobalFromString("group", group);
    }

}
