/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.maxdb;

public class ForeignKey extends com.mysql.grt.db.ForeignKey {

    protected ForeignKey() {
    }

    public ForeignKey(Object obj) {
        super();

        if ((obj == null) || (obj instanceof com.mysql.grt.GrtObject)) {
            data = new ForeignKeyDataLocal(this);

            data.setOwner((com.mysql.grt.GrtObject) obj);
            com.mysql.grt.Grt.getInstance().addToObjectCache(this);
        } else if (obj instanceof String) {
            data = new ForeignKeyDataGlobal((String) obj);
        }
    }

    public String getCreateDate() {
        return ((ForeignKeyData) data).getCreateDate();
    }

    public String setCreateDate(String createDate) {
        ((ForeignKeyData) data).setCreateDate(createDate);

        return getCreateDate();
    }

    public String getCreateTime() {
        return ((ForeignKeyData) data).getCreateTime();
    }

    public String setCreateTime(String createTime) {
        ((ForeignKeyData) data).setCreateTime(createTime);

        return getCreateTime();
    }

    public StringBuffer getGrtXmlMembers(StringBuffer xml) {
        super.getGrtXmlMembers(xml);

            if (getCreateDate() != null) {
                xml.append("<value type=\"string\" key=\"createDate\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getCreateDate()) + "</value>\n");
            }

            if (getCreateTime() != null) {
                xml.append("<value type=\"string\" key=\"createTime\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getCreateTime()) + "</value>\n");
            }

        return xml;
    }
}
