/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.maxdb;

public class Index extends com.mysql.grt.db.Index {

    protected Index() {
    }

    public Index(Object obj) {
        super();

        if ((obj == null) || (obj instanceof com.mysql.grt.GrtObject)) {
            data = new IndexDataLocal(this);

            data.setOwner((com.mysql.grt.GrtObject) obj);
            com.mysql.grt.Grt.getInstance().addToObjectCache(this);
        } else if (obj instanceof String) {
            data = new IndexDataGlobal((String) obj);
        }
    }

    public int getDisabled() {
        return ((IndexData) data).getDisabled();
    }

    public int setDisabled(int disabled) {
        ((IndexData) data).setDisabled(disabled);

        return getDisabled();
    }

    public int getIndexUsed() {
        return ((IndexData) data).getIndexUsed();
    }

    public int setIndexUsed(int indexUsed) {
        ((IndexData) data).setIndexUsed(indexUsed);

        return getIndexUsed();
    }

    public int getRootPage() {
        return ((IndexData) data).getRootPage();
    }

    public int setRootPage(int rootPage) {
        ((IndexData) data).setRootPage(rootPage);

        return getRootPage();
    }

    public int getUsedPages() {
        return ((IndexData) data).getUsedPages();
    }

    public int setUsedPages(int usedPages) {
        ((IndexData) data).setUsedPages(usedPages);

        return getUsedPages();
    }

    public int getIndexPages() {
        return ((IndexData) data).getIndexPages();
    }

    public int setIndexPages(int indexPages) {
        ((IndexData) data).setIndexPages(indexPages);

        return getIndexPages();
    }

    public int getLeafPages() {
        return ((IndexData) data).getLeafPages();
    }

    public int setLeafPages(int leafPages) {
        ((IndexData) data).setLeafPages(leafPages);

        return getLeafPages();
    }

    public int getIndexLevels() {
        return ((IndexData) data).getIndexLevels();
    }

    public int setIndexLevels(int indexLevels) {
        ((IndexData) data).setIndexLevels(indexLevels);

        return getIndexLevels();
    }

    public int getTotalSpaceUsed() {
        return ((IndexData) data).getTotalSpaceUsed();
    }

    public int setTotalSpaceUsed(int totalSpaceUsed) {
        ((IndexData) data).setTotalSpaceUsed(totalSpaceUsed);

        return getTotalSpaceUsed();
    }

    public int getRootPageSpace() {
        return ((IndexData) data).getRootPageSpace();
    }

    public int setRootPageSpace(int rootPageSpace) {
        ((IndexData) data).setRootPageSpace(rootPageSpace);

        return getRootPageSpace();
    }

    public int getIndexPagesSpace() {
        return ((IndexData) data).getIndexPagesSpace();
    }

    public int setIndexPagesSpace(int indexPagesSpace) {
        ((IndexData) data).setIndexPagesSpace(indexPagesSpace);

        return getIndexPagesSpace();
    }

    public int getIndexPageSpaceMin() {
        return ((IndexData) data).getIndexPageSpaceMin();
    }

    public int setIndexPageSpaceMin(int indexPageSpaceMin) {
        ((IndexData) data).setIndexPageSpaceMin(indexPageSpaceMin);

        return getIndexPageSpaceMin();
    }

    public int getIndexPageSpaceMax() {
        return ((IndexData) data).getIndexPageSpaceMax();
    }

    public int setIndexPageSpaceMax(int indexPageSpaceMax) {
        ((IndexData) data).setIndexPageSpaceMax(indexPageSpaceMax);

        return getIndexPageSpaceMax();
    }

    public int getLeafPagesSpace() {
        return ((IndexData) data).getLeafPagesSpace();
    }

    public int setLeafPagesSpace(int leafPagesSpace) {
        ((IndexData) data).setLeafPagesSpace(leafPagesSpace);

        return getLeafPagesSpace();
    }

    public int getLeafPagesSpaceMin() {
        return ((IndexData) data).getLeafPagesSpaceMin();
    }

    public int setLeafPagesSpaceMin(int leafPagesSpaceMin) {
        ((IndexData) data).setLeafPagesSpaceMin(leafPagesSpaceMin);

        return getLeafPagesSpaceMin();
    }

    public int getLeafPagesSpaceMax() {
        return ((IndexData) data).getLeafPagesSpaceMax();
    }

    public int setLeafPagesSpaceMax(int leafPagesSpaceMax) {
        ((IndexData) data).setLeafPagesSpaceMax(leafPagesSpaceMax);

        return getLeafPagesSpaceMax();
    }

    public int getNumDistinctValues() {
        return ((IndexData) data).getNumDistinctValues();
    }

    public int setNumDistinctValues(int numDistinctValues) {
        ((IndexData) data).setNumDistinctValues(numDistinctValues);

        return getNumDistinctValues();
    }

    public int getAverageSkLength() {
        return ((IndexData) data).getAverageSkLength();
    }

    public int setAverageSkLength(int averageSkLength) {
        ((IndexData) data).setAverageSkLength(averageSkLength);

        return getAverageSkLength();
    }

    public int getMinSkLength() {
        return ((IndexData) data).getMinSkLength();
    }

    public int setMinSkLength(int minSkLength) {
        ((IndexData) data).setMinSkLength(minSkLength);

        return getMinSkLength();
    }

    public int getMaxSkLength() {
        return ((IndexData) data).getMaxSkLength();
    }

    public int setMaxSkLength(int maxSkLength) {
        ((IndexData) data).setMaxSkLength(maxSkLength);

        return getMaxSkLength();
    }

    public int getMinSeperatorLength() {
        return ((IndexData) data).getMinSeperatorLength();
    }

    public int setMinSeperatorLength(int minSeperatorLength) {
        ((IndexData) data).setMinSeperatorLength(minSeperatorLength);

        return getMinSeperatorLength();
    }

    public int getAvgSeperatorLength() {
        return ((IndexData) data).getAvgSeperatorLength();
    }

    public int setAvgSeperatorLength(int avgSeperatorLength) {
        ((IndexData) data).setAvgSeperatorLength(avgSeperatorLength);

        return getAvgSeperatorLength();
    }

    public int getMaxSeperatorLength() {
        return ((IndexData) data).getMaxSeperatorLength();
    }

    public int setMaxSeperatorLength(int maxSeperatorLength) {
        ((IndexData) data).setMaxSeperatorLength(maxSeperatorLength);

        return getMaxSeperatorLength();
    }

    public int getNumRowsPk() {
        return ((IndexData) data).getNumRowsPk();
    }

    public int setNumRowsPk(int numRowsPk) {
        ((IndexData) data).setNumRowsPk(numRowsPk);

        return getNumRowsPk();
    }

    public int getAvgNumPkPerList() {
        return ((IndexData) data).getAvgNumPkPerList();
    }

    public int setAvgNumPkPerList(int avgNumPkPerList) {
        ((IndexData) data).setAvgNumPkPerList(avgNumPkPerList);

        return getAvgNumPkPerList();
    }

    public int getMinNumPkPerList() {
        return ((IndexData) data).getMinNumPkPerList();
    }

    public int setMinNumPkPerList(int minNumPkPerList) {
        ((IndexData) data).setMinNumPkPerList(minNumPkPerList);

        return getMinNumPkPerList();
    }

    public int getMaxNumPkPerList() {
        return ((IndexData) data).getMaxNumPkPerList();
    }

    public int setMaxNumPkPerList(int maxNumPkPerList) {
        ((IndexData) data).setMaxNumPkPerList(maxNumPkPerList);

        return getMaxNumPkPerList();
    }

    public int getSelectivityLess1Percent() {
        return ((IndexData) data).getSelectivityLess1Percent();
    }

    public int setSelectivityLess1Percent(int selectivityLess1Percent) {
        ((IndexData) data).setSelectivityLess1Percent(selectivityLess1Percent);

        return getSelectivityLess1Percent();
    }

    public int getSelectivityLess5Percent() {
        return ((IndexData) data).getSelectivityLess5Percent();
    }

    public int setSelectivityLess5Percent(int selectivityLess5Percent) {
        ((IndexData) data).setSelectivityLess5Percent(selectivityLess5Percent);

        return getSelectivityLess5Percent();
    }

    public int getSelectivityLess10Percent() {
        return ((IndexData) data).getSelectivityLess10Percent();
    }

    public int setSelectivityLess10Percent(int selectivityLess10Percent) {
        ((IndexData) data).setSelectivityLess10Percent(selectivityLess10Percent);

        return getSelectivityLess10Percent();
    }

    public int getSelectivityLess25Percent() {
        return ((IndexData) data).getSelectivityLess25Percent();
    }

    public int setSelectivityLess25Percent(int selectivityLess25Percent) {
        ((IndexData) data).setSelectivityLess25Percent(selectivityLess25Percent);

        return getSelectivityLess25Percent();
    }

    public int getSelectivityGreater25Percent() {
        return ((IndexData) data).getSelectivityGreater25Percent();
    }

    public int setSelectivityGreater25Percent(int selectivityGreater25Percent) {
        ((IndexData) data).setSelectivityGreater25Percent(selectivityGreater25Percent);

        return getSelectivityGreater25Percent();
    }

    public String getComment() {
        return ((IndexData) data).getComment();
    }

    public String setComment(String comment) {
        ((IndexData) data).setComment(comment);

        return getComment();
    }

    public String getFileid() {
        return ((IndexData) data).getFileid();
    }

    public String setFileid(String fileid) {
        ((IndexData) data).setFileid(fileid);

        return getFileid();
    }

    public String getFilestate() {
        return ((IndexData) data).getFilestate();
    }

    public String setFilestate(String filestate) {
        ((IndexData) data).setFilestate(filestate);

        return getFilestate();
    }

    public String getCreateDate() {
        return ((IndexData) data).getCreateDate();
    }

    public String setCreateDate(String createDate) {
        ((IndexData) data).setCreateDate(createDate);

        return getCreateDate();
    }

    public String getCreateTime() {
        return ((IndexData) data).getCreateTime();
    }

    public String setCreateTime(String createTime) {
        ((IndexData) data).setCreateTime(createTime);

        return getCreateTime();
    }

    public String getFiletype() {
        return ((IndexData) data).getFiletype();
    }

    public String setFiletype(String filetype) {
        ((IndexData) data).setFiletype(filetype);

        return getFiletype();
    }

    public StringBuffer getGrtXmlMembers(StringBuffer xml) {
        super.getGrtXmlMembers(xml);

            xml.append("<value type=\"int\" key=\"disabled\">"
                    + Integer.toString(getDisabled()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"indexUsed\">"
                    + Integer.toString(getIndexUsed()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"rootPage\">"
                    + Integer.toString(getRootPage()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"usedPages\">"
                    + Integer.toString(getUsedPages()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"indexPages\">"
                    + Integer.toString(getIndexPages()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"leafPages\">"
                    + Integer.toString(getLeafPages()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"indexLevels\">"
                    + Integer.toString(getIndexLevels()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"totalSpaceUsed\">"
                    + Integer.toString(getTotalSpaceUsed()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"rootPageSpace\">"
                    + Integer.toString(getRootPageSpace()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"indexPagesSpace\">"
                    + Integer.toString(getIndexPagesSpace()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"indexPageSpaceMin\">"
                    + Integer.toString(getIndexPageSpaceMin()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"indexPageSpaceMax\">"
                    + Integer.toString(getIndexPageSpaceMax()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"leafPagesSpace\">"
                    + Integer.toString(getLeafPagesSpace()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"leafPagesSpaceMin\">"
                    + Integer.toString(getLeafPagesSpaceMin()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"leafPagesSpaceMax\">"
                    + Integer.toString(getLeafPagesSpaceMax()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"numDistinctValues\">"
                    + Integer.toString(getNumDistinctValues()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"averageSkLength\">"
                    + Integer.toString(getAverageSkLength()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"minSkLength\">"
                    + Integer.toString(getMinSkLength()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"maxSkLength\">"
                    + Integer.toString(getMaxSkLength()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"minSeperatorLength\">"
                    + Integer.toString(getMinSeperatorLength()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"avgSeperatorLength\">"
                    + Integer.toString(getAvgSeperatorLength()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"maxSeperatorLength\">"
                    + Integer.toString(getMaxSeperatorLength()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"numRowsPk\">"
                    + Integer.toString(getNumRowsPk()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"avgNumPkPerList\">"
                    + Integer.toString(getAvgNumPkPerList()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"minNumPkPerList\">"
                    + Integer.toString(getMinNumPkPerList()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"maxNumPkPerList\">"
                    + Integer.toString(getMaxNumPkPerList()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"selectivityLess1Percent\">"
                    + Integer.toString(getSelectivityLess1Percent()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"selectivityLess5Percent\">"
                    + Integer.toString(getSelectivityLess5Percent()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"selectivityLess10Percent\">"
                    + Integer.toString(getSelectivityLess10Percent()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"selectivityLess25Percent\">"
                    + Integer.toString(getSelectivityLess25Percent()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"selectivityGreater25Percent\">"
                    + Integer.toString(getSelectivityGreater25Percent()) + "</value>\n");

            if (getComment() != null) {
                xml.append("<value type=\"string\" key=\"comment\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getComment()) + "</value>\n");
            }

            if (getFileid() != null) {
                xml.append("<value type=\"string\" key=\"fileid\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getFileid()) + "</value>\n");
            }

            if (getFilestate() != null) {
                xml.append("<value type=\"string\" key=\"filestate\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getFilestate()) + "</value>\n");
            }

            if (getCreateDate() != null) {
                xml.append("<value type=\"string\" key=\"createDate\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getCreateDate()) + "</value>\n");
            }

            if (getCreateTime() != null) {
                xml.append("<value type=\"string\" key=\"createTime\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getCreateTime()) + "</value>\n");
            }

            if (getFiletype() != null) {
                xml.append("<value type=\"string\" key=\"filetype\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getFiletype()) + "</value>\n");
            }

        return xml;
    }
}
