/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.maxdb;

public class IndexDataGlobal extends com.mysql.grt.db.IndexDataGlobal implements IndexData {

    public IndexDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public int getDisabled() {
        return getGrtGlobalAsInt("disabled");
    }

    public int setDisabled(int disabled) {
        setGrtGlobalFromInt("disabled", disabled);

        return getDisabled();
    }

    public int getIndexUsed() {
        return getGrtGlobalAsInt("indexUsed");
    }

    public int setIndexUsed(int indexUsed) {
        setGrtGlobalFromInt("indexUsed", indexUsed);

        return getIndexUsed();
    }

    public int getRootPage() {
        return getGrtGlobalAsInt("rootPage");
    }

    public int setRootPage(int rootPage) {
        setGrtGlobalFromInt("rootPage", rootPage);

        return getRootPage();
    }

    public int getUsedPages() {
        return getGrtGlobalAsInt("usedPages");
    }

    public int setUsedPages(int usedPages) {
        setGrtGlobalFromInt("usedPages", usedPages);

        return getUsedPages();
    }

    public int getIndexPages() {
        return getGrtGlobalAsInt("indexPages");
    }

    public int setIndexPages(int indexPages) {
        setGrtGlobalFromInt("indexPages", indexPages);

        return getIndexPages();
    }

    public int getLeafPages() {
        return getGrtGlobalAsInt("leafPages");
    }

    public int setLeafPages(int leafPages) {
        setGrtGlobalFromInt("leafPages", leafPages);

        return getLeafPages();
    }

    public int getIndexLevels() {
        return getGrtGlobalAsInt("indexLevels");
    }

    public int setIndexLevels(int indexLevels) {
        setGrtGlobalFromInt("indexLevels", indexLevels);

        return getIndexLevels();
    }

    public int getTotalSpaceUsed() {
        return getGrtGlobalAsInt("totalSpaceUsed");
    }

    public int setTotalSpaceUsed(int totalSpaceUsed) {
        setGrtGlobalFromInt("totalSpaceUsed", totalSpaceUsed);

        return getTotalSpaceUsed();
    }

    public int getRootPageSpace() {
        return getGrtGlobalAsInt("rootPageSpace");
    }

    public int setRootPageSpace(int rootPageSpace) {
        setGrtGlobalFromInt("rootPageSpace", rootPageSpace);

        return getRootPageSpace();
    }

    public int getIndexPagesSpace() {
        return getGrtGlobalAsInt("indexPagesSpace");
    }

    public int setIndexPagesSpace(int indexPagesSpace) {
        setGrtGlobalFromInt("indexPagesSpace", indexPagesSpace);

        return getIndexPagesSpace();
    }

    public int getIndexPageSpaceMin() {
        return getGrtGlobalAsInt("indexPageSpaceMin");
    }

    public int setIndexPageSpaceMin(int indexPageSpaceMin) {
        setGrtGlobalFromInt("indexPageSpaceMin", indexPageSpaceMin);

        return getIndexPageSpaceMin();
    }

    public int getIndexPageSpaceMax() {
        return getGrtGlobalAsInt("indexPageSpaceMax");
    }

    public int setIndexPageSpaceMax(int indexPageSpaceMax) {
        setGrtGlobalFromInt("indexPageSpaceMax", indexPageSpaceMax);

        return getIndexPageSpaceMax();
    }

    public int getLeafPagesSpace() {
        return getGrtGlobalAsInt("leafPagesSpace");
    }

    public int setLeafPagesSpace(int leafPagesSpace) {
        setGrtGlobalFromInt("leafPagesSpace", leafPagesSpace);

        return getLeafPagesSpace();
    }

    public int getLeafPagesSpaceMin() {
        return getGrtGlobalAsInt("leafPagesSpaceMin");
    }

    public int setLeafPagesSpaceMin(int leafPagesSpaceMin) {
        setGrtGlobalFromInt("leafPagesSpaceMin", leafPagesSpaceMin);

        return getLeafPagesSpaceMin();
    }

    public int getLeafPagesSpaceMax() {
        return getGrtGlobalAsInt("leafPagesSpaceMax");
    }

    public int setLeafPagesSpaceMax(int leafPagesSpaceMax) {
        setGrtGlobalFromInt("leafPagesSpaceMax", leafPagesSpaceMax);

        return getLeafPagesSpaceMax();
    }

    public int getNumDistinctValues() {
        return getGrtGlobalAsInt("numDistinctValues");
    }

    public int setNumDistinctValues(int numDistinctValues) {
        setGrtGlobalFromInt("numDistinctValues", numDistinctValues);

        return getNumDistinctValues();
    }

    public int getAverageSkLength() {
        return getGrtGlobalAsInt("averageSkLength");
    }

    public int setAverageSkLength(int averageSkLength) {
        setGrtGlobalFromInt("averageSkLength", averageSkLength);

        return getAverageSkLength();
    }

    public int getMinSkLength() {
        return getGrtGlobalAsInt("minSkLength");
    }

    public int setMinSkLength(int minSkLength) {
        setGrtGlobalFromInt("minSkLength", minSkLength);

        return getMinSkLength();
    }

    public int getMaxSkLength() {
        return getGrtGlobalAsInt("maxSkLength");
    }

    public int setMaxSkLength(int maxSkLength) {
        setGrtGlobalFromInt("maxSkLength", maxSkLength);

        return getMaxSkLength();
    }

    public int getMinSeperatorLength() {
        return getGrtGlobalAsInt("minSeperatorLength");
    }

    public int setMinSeperatorLength(int minSeperatorLength) {
        setGrtGlobalFromInt("minSeperatorLength", minSeperatorLength);

        return getMinSeperatorLength();
    }

    public int getAvgSeperatorLength() {
        return getGrtGlobalAsInt("avgSeperatorLength");
    }

    public int setAvgSeperatorLength(int avgSeperatorLength) {
        setGrtGlobalFromInt("avgSeperatorLength", avgSeperatorLength);

        return getAvgSeperatorLength();
    }

    public int getMaxSeperatorLength() {
        return getGrtGlobalAsInt("maxSeperatorLength");
    }

    public int setMaxSeperatorLength(int maxSeperatorLength) {
        setGrtGlobalFromInt("maxSeperatorLength", maxSeperatorLength);

        return getMaxSeperatorLength();
    }

    public int getNumRowsPk() {
        return getGrtGlobalAsInt("numRowsPk");
    }

    public int setNumRowsPk(int numRowsPk) {
        setGrtGlobalFromInt("numRowsPk", numRowsPk);

        return getNumRowsPk();
    }

    public int getAvgNumPkPerList() {
        return getGrtGlobalAsInt("avgNumPkPerList");
    }

    public int setAvgNumPkPerList(int avgNumPkPerList) {
        setGrtGlobalFromInt("avgNumPkPerList", avgNumPkPerList);

        return getAvgNumPkPerList();
    }

    public int getMinNumPkPerList() {
        return getGrtGlobalAsInt("minNumPkPerList");
    }

    public int setMinNumPkPerList(int minNumPkPerList) {
        setGrtGlobalFromInt("minNumPkPerList", minNumPkPerList);

        return getMinNumPkPerList();
    }

    public int getMaxNumPkPerList() {
        return getGrtGlobalAsInt("maxNumPkPerList");
    }

    public int setMaxNumPkPerList(int maxNumPkPerList) {
        setGrtGlobalFromInt("maxNumPkPerList", maxNumPkPerList);

        return getMaxNumPkPerList();
    }

    public int getSelectivityLess1Percent() {
        return getGrtGlobalAsInt("selectivityLess1Percent");
    }

    public int setSelectivityLess1Percent(int selectivityLess1Percent) {
        setGrtGlobalFromInt("selectivityLess1Percent", selectivityLess1Percent);

        return getSelectivityLess1Percent();
    }

    public int getSelectivityLess5Percent() {
        return getGrtGlobalAsInt("selectivityLess5Percent");
    }

    public int setSelectivityLess5Percent(int selectivityLess5Percent) {
        setGrtGlobalFromInt("selectivityLess5Percent", selectivityLess5Percent);

        return getSelectivityLess5Percent();
    }

    public int getSelectivityLess10Percent() {
        return getGrtGlobalAsInt("selectivityLess10Percent");
    }

    public int setSelectivityLess10Percent(int selectivityLess10Percent) {
        setGrtGlobalFromInt("selectivityLess10Percent", selectivityLess10Percent);

        return getSelectivityLess10Percent();
    }

    public int getSelectivityLess25Percent() {
        return getGrtGlobalAsInt("selectivityLess25Percent");
    }

    public int setSelectivityLess25Percent(int selectivityLess25Percent) {
        setGrtGlobalFromInt("selectivityLess25Percent", selectivityLess25Percent);

        return getSelectivityLess25Percent();
    }

    public int getSelectivityGreater25Percent() {
        return getGrtGlobalAsInt("selectivityGreater25Percent");
    }

    public int setSelectivityGreater25Percent(int selectivityGreater25Percent) {
        setGrtGlobalFromInt("selectivityGreater25Percent", selectivityGreater25Percent);

        return getSelectivityGreater25Percent();
    }

    public String getComment() {
        return getGrtGlobalAsString("comment");
    }

    public String setComment(String comment) {
        setGrtGlobalFromString("comment", comment);

        return getComment();
    }

    public String getFileid() {
        return getGrtGlobalAsString("fileid");
    }

    public String setFileid(String fileid) {
        setGrtGlobalFromString("fileid", fileid);

        return getFileid();
    }

    public String getFilestate() {
        return getGrtGlobalAsString("filestate");
    }

    public String setFilestate(String filestate) {
        setGrtGlobalFromString("filestate", filestate);

        return getFilestate();
    }

    public String getCreateDate() {
        return getGrtGlobalAsString("createDate");
    }

    public String setCreateDate(String createDate) {
        setGrtGlobalFromString("createDate", createDate);

        return getCreateDate();
    }

    public String getCreateTime() {
        return getGrtGlobalAsString("createTime");
    }

    public String setCreateTime(String createTime) {
        setGrtGlobalFromString("createTime", createTime);

        return getCreateTime();
    }

    public String getFiletype() {
        return getGrtGlobalAsString("filetype");
    }

    public String setFiletype(String filetype) {
        setGrtGlobalFromString("filetype", filetype);

        return getFiletype();
    }

}
