/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.maxdb;

public class IndexDataLocal extends com.mysql.grt.db.IndexDataLocal implements IndexData {

    private int disabled;

    private int indexUsed;

    private int rootPage;

    private int usedPages;

    private int indexPages;

    private int leafPages;

    private int indexLevels;

    private int totalSpaceUsed;

    private int rootPageSpace;

    private int indexPagesSpace;

    private int indexPageSpaceMin;

    private int indexPageSpaceMax;

    private int leafPagesSpace;

    private int leafPagesSpaceMin;

    private int leafPagesSpaceMax;

    private int numDistinctValues;

    private int averageSkLength;

    private int minSkLength;

    private int maxSkLength;

    private int minSeperatorLength;

    private int avgSeperatorLength;

    private int maxSeperatorLength;

    private int numRowsPk;

    private int avgNumPkPerList;

    private int minNumPkPerList;

    private int maxNumPkPerList;

    private int selectivityLess1Percent;

    private int selectivityLess5Percent;

    private int selectivityLess10Percent;

    private int selectivityLess25Percent;

    private int selectivityGreater25Percent;

    private String comment;

    private String fileid;

    private String filestate;

    private String createDate;

    private String createTime;

    private String filetype;

    public IndexDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public int getDisabled() {
        return disabled;
    }

    public int setDisabled(int disabled) {
        this.disabled = disabled;

        return getDisabled();
    }

    public int getIndexUsed() {
        return indexUsed;
    }

    public int setIndexUsed(int indexUsed) {
        this.indexUsed = indexUsed;

        return getIndexUsed();
    }

    public int getRootPage() {
        return rootPage;
    }

    public int setRootPage(int rootPage) {
        this.rootPage = rootPage;

        return getRootPage();
    }

    public int getUsedPages() {
        return usedPages;
    }

    public int setUsedPages(int usedPages) {
        this.usedPages = usedPages;

        return getUsedPages();
    }

    public int getIndexPages() {
        return indexPages;
    }

    public int setIndexPages(int indexPages) {
        this.indexPages = indexPages;

        return getIndexPages();
    }

    public int getLeafPages() {
        return leafPages;
    }

    public int setLeafPages(int leafPages) {
        this.leafPages = leafPages;

        return getLeafPages();
    }

    public int getIndexLevels() {
        return indexLevels;
    }

    public int setIndexLevels(int indexLevels) {
        this.indexLevels = indexLevels;

        return getIndexLevels();
    }

    public int getTotalSpaceUsed() {
        return totalSpaceUsed;
    }

    public int setTotalSpaceUsed(int totalSpaceUsed) {
        this.totalSpaceUsed = totalSpaceUsed;

        return getTotalSpaceUsed();
    }

    public int getRootPageSpace() {
        return rootPageSpace;
    }

    public int setRootPageSpace(int rootPageSpace) {
        this.rootPageSpace = rootPageSpace;

        return getRootPageSpace();
    }

    public int getIndexPagesSpace() {
        return indexPagesSpace;
    }

    public int setIndexPagesSpace(int indexPagesSpace) {
        this.indexPagesSpace = indexPagesSpace;

        return getIndexPagesSpace();
    }

    public int getIndexPageSpaceMin() {
        return indexPageSpaceMin;
    }

    public int setIndexPageSpaceMin(int indexPageSpaceMin) {
        this.indexPageSpaceMin = indexPageSpaceMin;

        return getIndexPageSpaceMin();
    }

    public int getIndexPageSpaceMax() {
        return indexPageSpaceMax;
    }

    public int setIndexPageSpaceMax(int indexPageSpaceMax) {
        this.indexPageSpaceMax = indexPageSpaceMax;

        return getIndexPageSpaceMax();
    }

    public int getLeafPagesSpace() {
        return leafPagesSpace;
    }

    public int setLeafPagesSpace(int leafPagesSpace) {
        this.leafPagesSpace = leafPagesSpace;

        return getLeafPagesSpace();
    }

    public int getLeafPagesSpaceMin() {
        return leafPagesSpaceMin;
    }

    public int setLeafPagesSpaceMin(int leafPagesSpaceMin) {
        this.leafPagesSpaceMin = leafPagesSpaceMin;

        return getLeafPagesSpaceMin();
    }

    public int getLeafPagesSpaceMax() {
        return leafPagesSpaceMax;
    }

    public int setLeafPagesSpaceMax(int leafPagesSpaceMax) {
        this.leafPagesSpaceMax = leafPagesSpaceMax;

        return getLeafPagesSpaceMax();
    }

    public int getNumDistinctValues() {
        return numDistinctValues;
    }

    public int setNumDistinctValues(int numDistinctValues) {
        this.numDistinctValues = numDistinctValues;

        return getNumDistinctValues();
    }

    public int getAverageSkLength() {
        return averageSkLength;
    }

    public int setAverageSkLength(int averageSkLength) {
        this.averageSkLength = averageSkLength;

        return getAverageSkLength();
    }

    public int getMinSkLength() {
        return minSkLength;
    }

    public int setMinSkLength(int minSkLength) {
        this.minSkLength = minSkLength;

        return getMinSkLength();
    }

    public int getMaxSkLength() {
        return maxSkLength;
    }

    public int setMaxSkLength(int maxSkLength) {
        this.maxSkLength = maxSkLength;

        return getMaxSkLength();
    }

    public int getMinSeperatorLength() {
        return minSeperatorLength;
    }

    public int setMinSeperatorLength(int minSeperatorLength) {
        this.minSeperatorLength = minSeperatorLength;

        return getMinSeperatorLength();
    }

    public int getAvgSeperatorLength() {
        return avgSeperatorLength;
    }

    public int setAvgSeperatorLength(int avgSeperatorLength) {
        this.avgSeperatorLength = avgSeperatorLength;

        return getAvgSeperatorLength();
    }

    public int getMaxSeperatorLength() {
        return maxSeperatorLength;
    }

    public int setMaxSeperatorLength(int maxSeperatorLength) {
        this.maxSeperatorLength = maxSeperatorLength;

        return getMaxSeperatorLength();
    }

    public int getNumRowsPk() {
        return numRowsPk;
    }

    public int setNumRowsPk(int numRowsPk) {
        this.numRowsPk = numRowsPk;

        return getNumRowsPk();
    }

    public int getAvgNumPkPerList() {
        return avgNumPkPerList;
    }

    public int setAvgNumPkPerList(int avgNumPkPerList) {
        this.avgNumPkPerList = avgNumPkPerList;

        return getAvgNumPkPerList();
    }

    public int getMinNumPkPerList() {
        return minNumPkPerList;
    }

    public int setMinNumPkPerList(int minNumPkPerList) {
        this.minNumPkPerList = minNumPkPerList;

        return getMinNumPkPerList();
    }

    public int getMaxNumPkPerList() {
        return maxNumPkPerList;
    }

    public int setMaxNumPkPerList(int maxNumPkPerList) {
        this.maxNumPkPerList = maxNumPkPerList;

        return getMaxNumPkPerList();
    }

    public int getSelectivityLess1Percent() {
        return selectivityLess1Percent;
    }

    public int setSelectivityLess1Percent(int selectivityLess1Percent) {
        this.selectivityLess1Percent = selectivityLess1Percent;

        return getSelectivityLess1Percent();
    }

    public int getSelectivityLess5Percent() {
        return selectivityLess5Percent;
    }

    public int setSelectivityLess5Percent(int selectivityLess5Percent) {
        this.selectivityLess5Percent = selectivityLess5Percent;

        return getSelectivityLess5Percent();
    }

    public int getSelectivityLess10Percent() {
        return selectivityLess10Percent;
    }

    public int setSelectivityLess10Percent(int selectivityLess10Percent) {
        this.selectivityLess10Percent = selectivityLess10Percent;

        return getSelectivityLess10Percent();
    }

    public int getSelectivityLess25Percent() {
        return selectivityLess25Percent;
    }

    public int setSelectivityLess25Percent(int selectivityLess25Percent) {
        this.selectivityLess25Percent = selectivityLess25Percent;

        return getSelectivityLess25Percent();
    }

    public int getSelectivityGreater25Percent() {
        return selectivityGreater25Percent;
    }

    public int setSelectivityGreater25Percent(int selectivityGreater25Percent) {
        this.selectivityGreater25Percent = selectivityGreater25Percent;

        return getSelectivityGreater25Percent();
    }

    public String getComment() {
        return comment;
    }

    public String setComment(String comment) {
        this.comment = comment;

        return getComment();
    }

    public String getFileid() {
        return fileid;
    }

    public String setFileid(String fileid) {
        this.fileid = fileid;

        return getFileid();
    }

    public String getFilestate() {
        return filestate;
    }

    public String setFilestate(String filestate) {
        this.filestate = filestate;

        return getFilestate();
    }

    public String getCreateDate() {
        return createDate;
    }

    public String setCreateDate(String createDate) {
        this.createDate = createDate;

        return getCreateDate();
    }

    public String getCreateTime() {
        return createTime;
    }

    public String setCreateTime(String createTime) {
        this.createTime = createTime;

        return getCreateTime();
    }

    public String getFiletype() {
        return filetype;
    }

    public String setFiletype(String filetype) {
        this.filetype = filetype;

        return getFiletype();
    }

}
