/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.mgmt;

public class Management extends com.mysql.grt.GrtObject {

    protected Management() {
    }

    public Management(Object obj) {
        super();

        if ((obj == null) || (obj instanceof com.mysql.grt.GrtObject)) {
            data = new ManagementDataLocal(this);

            data.setOwner((com.mysql.grt.GrtObject) obj);
            com.mysql.grt.Grt.getInstance().addToObjectCache(this);
        } else if (obj instanceof String) {
            data = new ManagementDataGlobal((String) obj);
        }
    }

    public com.mysql.grt.db.mgmt.RdbmsList getRdbms() {
        return ((ManagementData) data).getRdbms();
    }

    public com.mysql.grt.db.mgmt.RdbmsList setRdbms(com.mysql.grt.db.mgmt.RdbmsList rdbms) {
        ((ManagementData) data).setRdbms(rdbms);

        return getRdbms();
    }

    public com.mysql.grt.db.mgmt.ConnectionList getStoredConns() {
        return ((ManagementData) data).getStoredConns();
    }

    public com.mysql.grt.db.mgmt.ConnectionList setStoredConns(com.mysql.grt.db.mgmt.ConnectionList storedConns) {
        ((ManagementData) data).setStoredConns(storedConns);

        return getStoredConns();
    }

    public com.mysql.grt.db.DatatypeGroupList getDatatypeGroups() {
        return ((ManagementData) data).getDatatypeGroups();
    }

    public com.mysql.grt.db.DatatypeGroupList setDatatypeGroups(com.mysql.grt.db.DatatypeGroupList datatypeGroups) {
        ((ManagementData) data).setDatatypeGroups(datatypeGroups);

        return getDatatypeGroups();
    }

    public StringBuffer getGrtXmlMembers(StringBuffer xml) {
        super.getGrtXmlMembers(xml);

            if (getRdbms() != null) {
                getRdbms().getGrtXml(xml, " key=\"rdbms\"");
            }

            if (getStoredConns() != null) {
                getStoredConns().getGrtXml(xml, " key=\"storedConns\"");
            }

            if (getDatatypeGroups() != null) {
                getDatatypeGroups().getGrtXml(xml, " key=\"datatypeGroups\"");
            }

        return xml;
    }
}
