/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.mgmt;

public class RdbmsDataLocal extends com.mysql.grt.GrtObjectDataLocal implements RdbmsData {

    private String caption;

    private String databaseObjectPackage;

    private com.mysql.grt.db.mgmt.DriverList drivers;

    private com.mysql.grt.db.SimpleDatatypeList simpleDatatypes;

    private com.mysql.grt.db.CharacterSetList characterSets;

    private String defaultDriver;

    public RdbmsDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public String getCaption() {
        return caption;
    }

    public String setCaption(String caption) {
        this.caption = caption;

        return getCaption();
    }

    public String getDatabaseObjectPackage() {
        return databaseObjectPackage;
    }

    public String setDatabaseObjectPackage(String databaseObjectPackage) {
        this.databaseObjectPackage = databaseObjectPackage;

        return getDatabaseObjectPackage();
    }

    public com.mysql.grt.db.mgmt.DriverList getDrivers() {
        if (drivers == null)
            drivers = new com.mysql.grt.db.mgmt.DriverList(this.grtObject);
        return drivers;
    }

    public com.mysql.grt.db.mgmt.DriverList setDrivers(com.mysql.grt.db.mgmt.DriverList drivers) {
        this.drivers = drivers;
        return getDrivers();
    }

    public com.mysql.grt.db.SimpleDatatypeList getSimpleDatatypes() {
        if (simpleDatatypes == null)
            simpleDatatypes = new com.mysql.grt.db.SimpleDatatypeList(this.grtObject);
        return simpleDatatypes;
    }

    public com.mysql.grt.db.SimpleDatatypeList setSimpleDatatypes(com.mysql.grt.db.SimpleDatatypeList simpleDatatypes) {
        this.simpleDatatypes = simpleDatatypes;
        return getSimpleDatatypes();
    }

    public com.mysql.grt.db.CharacterSetList getCharacterSets() {
        if (characterSets == null)
            characterSets = new com.mysql.grt.db.CharacterSetList(this.grtObject);
        return characterSets;
    }

    public com.mysql.grt.db.CharacterSetList setCharacterSets(com.mysql.grt.db.CharacterSetList characterSets) {
        this.characterSets = characterSets;
        return getCharacterSets();
    }

    public com.mysql.grt.db.mgmt.Driver getDefaultDriver() {
        return (com.mysql.grt.db.mgmt.Driver) com.mysql.grt.Grt.getInstance().getObjectByRefId(defaultDriver);
    }

    public com.mysql.grt.db.mgmt.Driver setDefaultDriver(com.mysql.grt.db.mgmt.Driver defaultDriver) {
        this.defaultDriver = defaultDriver.get_id();
        return getDefaultDriver();
    }

    public String getDefaultDriverById() {
        return defaultDriver;
    }

    public void setDefaultDriverById(String defaultDriver) {
        this.defaultDriver = defaultDriver;
    }

}
