/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.oracle;

public class IndexDataLocal extends com.mysql.grt.db.IndexDataLocal implements IndexData {

    private int compression;

    private int prefixLength;

    private int initialTrans;

    private int maxTrans;

    private int initialExtent;

    private int nextExtent;

    private int minExtents;

    private int maxExtents;

    private int pctIncrease;

    private int pctTreshold;

    private int blevel;

    private int leafBlocks;

    private int distinctKeys;

    private int avgLeafBlocksPerKey;

    private int avgDataBlocksPerKey;

    private int clusteringFactor;

    private int numRows;

    private int generated;

    private String tablespace;

    public IndexDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public int getCompression() {
        return compression;
    }

    public int setCompression(int compression) {
        this.compression = compression;

        return getCompression();
    }

    public int getPrefixLength() {
        return prefixLength;
    }

    public int setPrefixLength(int prefixLength) {
        this.prefixLength = prefixLength;

        return getPrefixLength();
    }

    public int getInitialTrans() {
        return initialTrans;
    }

    public int setInitialTrans(int initialTrans) {
        this.initialTrans = initialTrans;

        return getInitialTrans();
    }

    public int getMaxTrans() {
        return maxTrans;
    }

    public int setMaxTrans(int maxTrans) {
        this.maxTrans = maxTrans;

        return getMaxTrans();
    }

    public int getInitialExtent() {
        return initialExtent;
    }

    public int setInitialExtent(int initialExtent) {
        this.initialExtent = initialExtent;

        return getInitialExtent();
    }

    public int getNextExtent() {
        return nextExtent;
    }

    public int setNextExtent(int nextExtent) {
        this.nextExtent = nextExtent;

        return getNextExtent();
    }

    public int getMinExtents() {
        return minExtents;
    }

    public int setMinExtents(int minExtents) {
        this.minExtents = minExtents;

        return getMinExtents();
    }

    public int getMaxExtents() {
        return maxExtents;
    }

    public int setMaxExtents(int maxExtents) {
        this.maxExtents = maxExtents;

        return getMaxExtents();
    }

    public int getPctIncrease() {
        return pctIncrease;
    }

    public int setPctIncrease(int pctIncrease) {
        this.pctIncrease = pctIncrease;

        return getPctIncrease();
    }

    public int getPctTreshold() {
        return pctTreshold;
    }

    public int setPctTreshold(int pctTreshold) {
        this.pctTreshold = pctTreshold;

        return getPctTreshold();
    }

    public int getBlevel() {
        return blevel;
    }

    public int setBlevel(int blevel) {
        this.blevel = blevel;

        return getBlevel();
    }

    public int getLeafBlocks() {
        return leafBlocks;
    }

    public int setLeafBlocks(int leafBlocks) {
        this.leafBlocks = leafBlocks;

        return getLeafBlocks();
    }

    public int getDistinctKeys() {
        return distinctKeys;
    }

    public int setDistinctKeys(int distinctKeys) {
        this.distinctKeys = distinctKeys;

        return getDistinctKeys();
    }

    public int getAvgLeafBlocksPerKey() {
        return avgLeafBlocksPerKey;
    }

    public int setAvgLeafBlocksPerKey(int avgLeafBlocksPerKey) {
        this.avgLeafBlocksPerKey = avgLeafBlocksPerKey;

        return getAvgLeafBlocksPerKey();
    }

    public int getAvgDataBlocksPerKey() {
        return avgDataBlocksPerKey;
    }

    public int setAvgDataBlocksPerKey(int avgDataBlocksPerKey) {
        this.avgDataBlocksPerKey = avgDataBlocksPerKey;

        return getAvgDataBlocksPerKey();
    }

    public int getClusteringFactor() {
        return clusteringFactor;
    }

    public int setClusteringFactor(int clusteringFactor) {
        this.clusteringFactor = clusteringFactor;

        return getClusteringFactor();
    }

    public int getNumRows() {
        return numRows;
    }

    public int setNumRows(int numRows) {
        this.numRows = numRows;

        return getNumRows();
    }

    public int getGenerated() {
        return generated;
    }

    public int setGenerated(int generated) {
        this.generated = generated;

        return getGenerated();
    }

    public String getTablespace() {
        return tablespace;
    }

    public String setTablespace(String tablespace) {
        this.tablespace = tablespace;

        return getTablespace();
    }

}
