/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.oracle;

public class View extends com.mysql.grt.db.View {

    protected View() {
    }

    public View(Object obj) {
        super();

        if ((obj == null) || (obj instanceof com.mysql.grt.GrtObject)) {
            data = new ViewDataLocal(this);

            data.setOwner((com.mysql.grt.GrtObject) obj);
            com.mysql.grt.Grt.getInstance().addToObjectCache(this);
        } else if (obj instanceof String) {
            data = new ViewDataGlobal((String) obj);
        }
    }

    public String getTypedText() {
        return ((ViewData) data).getTypedText();
    }

    public String setTypedText(String typedText) {
        ((ViewData) data).setTypedText(typedText);

        return getTypedText();
    }

    public String getOidText() {
        return ((ViewData) data).getOidText();
    }

    public String setOidText(String oidText) {
        ((ViewData) data).setOidText(oidText);

        return getOidText();
    }

    public String getViewTypeOwner() {
        return ((ViewData) data).getViewTypeOwner();
    }

    public String setViewTypeOwner(String viewTypeOwner) {
        ((ViewData) data).setViewTypeOwner(viewTypeOwner);

        return getViewTypeOwner();
    }

    public String getViewType() {
        return ((ViewData) data).getViewType();
    }

    public String setViewType(String viewType) {
        ((ViewData) data).setViewType(viewType);

        return getViewType();
    }

    public String getSuperViewName() {
        return ((ViewData) data).getSuperViewName();
    }

    public String setSuperViewName(String superViewName) {
        ((ViewData) data).setSuperViewName(superViewName);

        return getSuperViewName();
    }

    public StringBuffer getGrtXmlMembers(StringBuffer xml) {
        super.getGrtXmlMembers(xml);

            if (getTypedText() != null) {
                xml.append("<value type=\"string\" key=\"typedText\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getTypedText()) + "</value>\n");
            }

            if (getOidText() != null) {
                xml.append("<value type=\"string\" key=\"oidText\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getOidText()) + "</value>\n");
            }

            if (getViewTypeOwner() != null) {
                xml.append("<value type=\"string\" key=\"viewTypeOwner\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getViewTypeOwner()) + "</value>\n");
            }

            if (getViewType() != null) {
                xml.append("<value type=\"string\" key=\"viewType\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getViewType()) + "</value>\n");
            }

            if (getSuperViewName() != null) {
                xml.append("<value type=\"string\" key=\"superViewName\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getSuperViewName()) + "</value>\n");
            }

        return xml;
    }
}
