/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.query;

public class ResultsetDataLocal extends com.mysql.grt.GrtObjectDataLocal implements ResultsetData {

    private int rowBlockSize;

    private int nextBlockStartRow;

    private String sql;

    private com.mysql.grt.db.query.ResultsetColumnList columns;

    private String connection;

    private String query;

    public ResultsetDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public int getRowBlockSize() {
        return rowBlockSize;
    }

    public int setRowBlockSize(int rowBlockSize) {
        this.rowBlockSize = rowBlockSize;

        return getRowBlockSize();
    }

    public int getNextBlockStartRow() {
        return nextBlockStartRow;
    }

    public int setNextBlockStartRow(int nextBlockStartRow) {
        this.nextBlockStartRow = nextBlockStartRow;

        return getNextBlockStartRow();
    }

    public String getSql() {
        return sql;
    }

    public String setSql(String sql) {
        this.sql = sql;

        return getSql();
    }

    public com.mysql.grt.db.query.ResultsetColumnList getColumns() {
        if (columns == null)
            columns = new com.mysql.grt.db.query.ResultsetColumnList(this.grtObject);
        return columns;
    }

    public com.mysql.grt.db.query.ResultsetColumnList setColumns(com.mysql.grt.db.query.ResultsetColumnList columns) {
        this.columns = columns;
        return getColumns();
    }

    public com.mysql.grt.db.mgmt.Connection getConnection() {
        return (com.mysql.grt.db.mgmt.Connection) com.mysql.grt.Grt.getInstance().getObjectByRefId(connection);
    }

    public com.mysql.grt.db.mgmt.Connection setConnection(com.mysql.grt.db.mgmt.Connection connection) {
        this.connection = connection.get_id();
        return getConnection();
    }

    public String getConnectionById() {
        return connection;
    }

    public void setConnectionById(String connection) {
        this.connection = connection;
    }

    public com.mysql.grt.db.query.Query getQuery() {
        return (com.mysql.grt.db.query.Query) com.mysql.grt.Grt.getInstance().getObjectByRefId(query);
    }

    public com.mysql.grt.db.query.Query setQuery(com.mysql.grt.db.query.Query query) {
        this.query = query.get_id();
        return getQuery();
    }

    public String getQueryById() {
        return query;
    }

    public void setQueryById(String query) {
        this.query = query;
    }

}
