/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.workbench;

public class ModelInfo extends com.mysql.grt.GrtObject {

    protected ModelInfo() {
    }

    public ModelInfo(Object obj) {
        super();

        if ((obj == null) || (obj instanceof com.mysql.grt.GrtObject)) {
            data = new ModelInfoDataLocal(this);

            data.setOwner((com.mysql.grt.GrtObject) obj);
            com.mysql.grt.Grt.getInstance().addToObjectCache(this);
        } else if (obj instanceof String) {
            data = new ModelInfoDataGlobal((String) obj);
        }
    }

    public String getModelName() {
        return ((ModelInfoData) data).getModelName();
    }

    public String setModelName(String modelName) {
        ((ModelInfoData) data).setModelName(modelName);

        return getModelName();
    }

    public String getVersion() {
        return ((ModelInfoData) data).getVersion();
    }

    public String setVersion(String version) {
        ((ModelInfoData) data).setVersion(version);

        return getVersion();
    }

    public String getAuthor() {
        return ((ModelInfoData) data).getAuthor();
    }

    public String setAuthor(String author) {
        ((ModelInfoData) data).setAuthor(author);

        return getAuthor();
    }

    public String getProject() {
        return ((ModelInfoData) data).getProject();
    }

    public String setProject(String project) {
        ((ModelInfoData) data).setProject(project);

        return getProject();
    }

    public String getDateCreated() {
        return ((ModelInfoData) data).getDateCreated();
    }

    public String setDateCreated(String dateCreated) {
        ((ModelInfoData) data).setDateCreated(dateCreated);

        return getDateCreated();
    }

    public String getDateChanged() {
        return ((ModelInfoData) data).getDateChanged();
    }

    public String setDateChanged(String dateChanged) {
        ((ModelInfoData) data).setDateChanged(dateChanged);

        return getDateChanged();
    }

    public String getDescription() {
        return ((ModelInfoData) data).getDescription();
    }

    public String setDescription(String description) {
        ((ModelInfoData) data).setDescription(description);

        return getDescription();
    }

    public StringBuffer getGrtXmlMembers(StringBuffer xml) {
        super.getGrtXmlMembers(xml);

            if (getModelName() != null) {
                xml.append("<value type=\"string\" key=\"modelName\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getModelName()) + "</value>\n");
            }

            if (getVersion() != null) {
                xml.append("<value type=\"string\" key=\"version\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getVersion()) + "</value>\n");
            }

            if (getAuthor() != null) {
                xml.append("<value type=\"string\" key=\"author\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getAuthor()) + "</value>\n");
            }

            if (getProject() != null) {
                xml.append("<value type=\"string\" key=\"project\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getProject()) + "</value>\n");
            }

            if (getDateCreated() != null) {
                xml.append("<value type=\"string\" key=\"dateCreated\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getDateCreated()) + "</value>\n");
            }

            if (getDateChanged() != null) {
                xml.append("<value type=\"string\" key=\"dateChanged\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getDateChanged()) + "</value>\n");
            }

            if (getDescription() != null) {
                xml.append("<value type=\"string\" key=\"description\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getDescription()) + "</value>\n");
            }

        return xml;
    }
}
