/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.workbench;

public class ModelInfoDataGlobal extends com.mysql.grt.GrtObjectDataGlobal implements ModelInfoData {

    public ModelInfoDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public String getModelName() {
        return getGrtGlobalAsString("modelName");
    }

    public String setModelName(String modelName) {
        setGrtGlobalFromString("modelName", modelName);

        return getModelName();
    }

    public String getVersion() {
        return getGrtGlobalAsString("version");
    }

    public String setVersion(String version) {
        setGrtGlobalFromString("version", version);

        return getVersion();
    }

    public String getAuthor() {
        return getGrtGlobalAsString("author");
    }

    public String setAuthor(String author) {
        setGrtGlobalFromString("author", author);

        return getAuthor();
    }

    public String getProject() {
        return getGrtGlobalAsString("project");
    }

    public String setProject(String project) {
        setGrtGlobalFromString("project", project);

        return getProject();
    }

    public String getDateCreated() {
        return getGrtGlobalAsString("dateCreated");
    }

    public String setDateCreated(String dateCreated) {
        setGrtGlobalFromString("dateCreated", dateCreated);

        return getDateCreated();
    }

    public String getDateChanged() {
        return getGrtGlobalAsString("dateChanged");
    }

    public String setDateChanged(String dateChanged) {
        setGrtGlobalFromString("dateChanged", dateChanged);

        return getDateChanged();
    }

    public String getDescription() {
        return getGrtGlobalAsString("description");
    }

    public String setDescription(String description) {
        setGrtGlobalFromString("description", description);

        return getDescription();
    }

}
