/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.workbench;

public class Relationship extends com.mysql.grt.GrtObject {

    protected Relationship() {
    }

    public Relationship(Object obj) {
        super();

        if ((obj == null) || (obj instanceof com.mysql.grt.GrtObject)) {
            data = new RelationshipDataLocal(this);

            data.setOwner((com.mysql.grt.GrtObject) obj);
            com.mysql.grt.Grt.getInstance().addToObjectCache(this);
        } else if (obj instanceof String) {
            data = new RelationshipDataGlobal((String) obj);
        }
    }

    public int getStartMandatory() {
        return ((RelationshipData) data).getStartMandatory();
    }

    public int setStartMandatory(int startMandatory) {
        ((RelationshipData) data).setStartMandatory(startMandatory);

        return getStartMandatory();
    }

    public int getEndMandatory() {
        return ((RelationshipData) data).getEndMandatory();
    }

    public int setEndMandatory(int endMandatory) {
        ((RelationshipData) data).setEndMandatory(endMandatory);

        return getEndMandatory();
    }

    public int getStartMany() {
        return ((RelationshipData) data).getStartMany();
    }

    public int setStartMany(int startMany) {
        ((RelationshipData) data).setStartMany(startMany);

        return getStartMany();
    }

    public int getEndMany() {
        return ((RelationshipData) data).getEndMany();
    }

    public int setEndMany(int endMany) {
        ((RelationshipData) data).setEndMany(endMany);

        return getEndMany();
    }

    public double getCaptionXOffs() {
        return ((RelationshipData) data).getCaptionXOffs();
    }

    public double setCaptionXOffs(double captionXOffs) {
        ((RelationshipData) data).setCaptionXOffs(captionXOffs);

        return getCaptionXOffs();
    }

    public double getCaptionYOffs() {
        return ((RelationshipData) data).getCaptionYOffs();
    }

    public double setCaptionYOffs(double captionYOffs) {
        ((RelationshipData) data).setCaptionYOffs(captionYOffs);

        return getCaptionYOffs();
    }

    public double getStartCaptionXOffs() {
        return ((RelationshipData) data).getStartCaptionXOffs();
    }

    public double setStartCaptionXOffs(double startCaptionXOffs) {
        ((RelationshipData) data).setStartCaptionXOffs(startCaptionXOffs);

        return getStartCaptionXOffs();
    }

    public double getStartCaptionYOffs() {
        return ((RelationshipData) data).getStartCaptionYOffs();
    }

    public double setStartCaptionYOffs(double startCaptionYOffs) {
        ((RelationshipData) data).setStartCaptionYOffs(startCaptionYOffs);

        return getStartCaptionYOffs();
    }

    public double getEndCaptionXOffs() {
        return ((RelationshipData) data).getEndCaptionXOffs();
    }

    public double setEndCaptionXOffs(double endCaptionXOffs) {
        ((RelationshipData) data).setEndCaptionXOffs(endCaptionXOffs);

        return getEndCaptionXOffs();
    }

    public double getEndCaptionYOffs() {
        return ((RelationshipData) data).getEndCaptionYOffs();
    }

    public double setEndCaptionYOffs(double endCaptionYOffs) {
        ((RelationshipData) data).setEndCaptionYOffs(endCaptionYOffs);

        return getEndCaptionYOffs();
    }

    public String getCaption() {
        return ((RelationshipData) data).getCaption();
    }

    public String setCaption(String caption) {
        ((RelationshipData) data).setCaption(caption);

        return getCaption();
    }

    public String getStartCaption() {
        return ((RelationshipData) data).getStartCaption();
    }

    public String setStartCaption(String startCaption) {
        ((RelationshipData) data).setStartCaption(startCaption);

        return getStartCaption();
    }

    public String getEndCaption() {
        return ((RelationshipData) data).getEndCaption();
    }

    public String setEndCaption(String endCaption) {
        ((RelationshipData) data).setEndCaption(endCaption);

        return getEndCaption();
    }

    public String getComment() {
        return ((RelationshipData) data).getComment();
    }

    public String setComment(String comment) {
        ((RelationshipData) data).setComment(comment);

        return getComment();
    }

    public com.mysql.grt.db.workbench.TableElement getStartTable() {
        return ((RelationshipData) data).getStartTable();
    }

    public com.mysql.grt.db.workbench.TableElement setStartTable(com.mysql.grt.db.workbench.TableElement startTable) {
        ((RelationshipData) data).setStartTable(startTable);

        return getStartTable();
    }

    public String getStartTableById() {
        return ((RelationshipData) data).getStartTableById();
    }

    public void setStartTableById(String startTable) {
        ((RelationshipData) data).setStartTableById(startTable);
    }

    public com.mysql.grt.db.workbench.TableElement getEndTable() {
        return ((RelationshipData) data).getEndTable();
    }

    public com.mysql.grt.db.workbench.TableElement setEndTable(com.mysql.grt.db.workbench.TableElement endTable) {
        ((RelationshipData) data).setEndTable(endTable);

        return getEndTable();
    }

    public String getEndTableById() {
        return ((RelationshipData) data).getEndTableById();
    }

    public void setEndTableById(String endTable) {
        ((RelationshipData) data).setEndTableById(endTable);
    }

    public StringBuffer getGrtXmlMembers(StringBuffer xml) {
        super.getGrtXmlMembers(xml);

            xml.append("<value type=\"int\" key=\"startMandatory\">"
                    + Integer.toString(getStartMandatory()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"endMandatory\">"
                    + Integer.toString(getEndMandatory()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"startMany\">"
                    + Integer.toString(getStartMany()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"endMany\">"
                    + Integer.toString(getEndMany()) + "</value>\n");

            xml.append("<value type=\"real\" key=\"captionXOffs\">"
                    + Double.toString(getCaptionXOffs()) + "</value>\n");

            xml.append("<value type=\"real\" key=\"captionYOffs\">"
                    + Double.toString(getCaptionYOffs()) + "</value>\n");

            xml.append("<value type=\"real\" key=\"startCaptionXOffs\">"
                    + Double.toString(getStartCaptionXOffs()) + "</value>\n");

            xml.append("<value type=\"real\" key=\"startCaptionYOffs\">"
                    + Double.toString(getStartCaptionYOffs()) + "</value>\n");

            xml.append("<value type=\"real\" key=\"endCaptionXOffs\">"
                    + Double.toString(getEndCaptionXOffs()) + "</value>\n");

            xml.append("<value type=\"real\" key=\"endCaptionYOffs\">"
                    + Double.toString(getEndCaptionYOffs()) + "</value>\n");

            if (getCaption() != null) {
                xml.append("<value type=\"string\" key=\"caption\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getCaption()) + "</value>\n");
            }

            if (getStartCaption() != null) {
                xml.append("<value type=\"string\" key=\"startCaption\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getStartCaption()) + "</value>\n");
            }

            if (getEndCaption() != null) {
                xml.append("<value type=\"string\" key=\"endCaption\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getEndCaption()) + "</value>\n");
            }

            if (getComment() != null) {
                xml.append("<value type=\"string\" key=\"comment\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getComment()) + "</value>\n");
            }

            if (getStartTable() != null) {
                xml.append("<value type=\"string\" option=\"ref\" key=\"startTable\">"
                        + getStartTableById() + "</value>\n");
            }

            if (getEndTable() != null) {
                xml.append("<value type=\"string\" option=\"ref\" key=\"endTable\">"
                        + getEndTableById() + "</value>\n");
            }

        return xml;
    }
}
