/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.forms;

public class Action extends com.mysql.grt.GrtObject {

    protected Action() {
    }

    public Action(Object obj) {
        super();

        if ((obj == null) || (obj instanceof com.mysql.grt.GrtObject)) {
            data = new ActionDataLocal(this);

            data.setOwner((com.mysql.grt.GrtObject) obj);
            com.mysql.grt.Grt.getInstance().addToObjectCache(this);
        } else if (obj instanceof String) {
            data = new ActionDataGlobal((String) obj);
        }
    }

    public int getAutoCheck() {
        return ((ActionData) data).getAutoCheck();
    }

    public int setAutoCheck(int autoCheck) {
        ((ActionData) data).setAutoCheck(autoCheck);

        return getAutoCheck();
    }

    public int getChecked() {
        return ((ActionData) data).getChecked();
    }

    public int setChecked(int checked) {
        ((ActionData) data).setChecked(checked);

        return getChecked();
    }

    public int getEnabled() {
        return ((ActionData) data).getEnabled();
    }

    public int setEnabled(int enabled) {
        ((ActionData) data).setEnabled(enabled);

        return getEnabled();
    }

    public int getGroupIndex() {
        return ((ActionData) data).getGroupIndex();
    }

    public int setGroupIndex(int groupIndex) {
        ((ActionData) data).setGroupIndex(groupIndex);

        return getGroupIndex();
    }

    public int getImageIndex() {
        return ((ActionData) data).getImageIndex();
    }

    public int setImageIndex(int imageIndex) {
        ((ActionData) data).setImageIndex(imageIndex);

        return getImageIndex();
    }

    public int getVisible() {
        return ((ActionData) data).getVisible();
    }

    public int setVisible(int visible) {
        ((ActionData) data).setVisible(visible);

        return getVisible();
    }

    public String getCaption() {
        return ((ActionData) data).getCaption();
    }

    public String setCaption(String caption) {
        ((ActionData) data).setCaption(caption);

        return getCaption();
    }

    public String getShortcut() {
        return ((ActionData) data).getShortcut();
    }

    public String setShortcut(String shortcut) {
        ((ActionData) data).setShortcut(shortcut);

        return getShortcut();
    }

    public String getEventOnExecute() {
        return ((ActionData) data).getEventOnExecute();
    }

    public String setEventOnExecute(String eventOnExecute) {
        ((ActionData) data).setEventOnExecute(eventOnExecute);

        return getEventOnExecute();
    }

    public String getEventOnUpdate() {
        return ((ActionData) data).getEventOnUpdate();
    }

    public String setEventOnUpdate(String eventOnUpdate) {
        ((ActionData) data).setEventOnUpdate(eventOnUpdate);

        return getEventOnUpdate();
    }

    public StringBuffer getGrtXmlMembers(StringBuffer xml) {
        super.getGrtXmlMembers(xml);

            xml.append("<value type=\"int\" key=\"autoCheck\">"
                    + Integer.toString(getAutoCheck()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"checked\">"
                    + Integer.toString(getChecked()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"enabled\">"
                    + Integer.toString(getEnabled()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"groupIndex\">"
                    + Integer.toString(getGroupIndex()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"imageIndex\">"
                    + Integer.toString(getImageIndex()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"visible\">"
                    + Integer.toString(getVisible()) + "</value>\n");

            if (getCaption() != null) {
                xml.append("<value type=\"string\" key=\"caption\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getCaption()) + "</value>\n");
            }

            if (getShortcut() != null) {
                xml.append("<value type=\"string\" key=\"shortcut\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getShortcut()) + "</value>\n");
            }

            if (getEventOnExecute() != null) {
                xml.append("<value type=\"string\" key=\"eventOnExecute\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getEventOnExecute()) + "</value>\n");
            }

            if (getEventOnUpdate() != null) {
                xml.append("<value type=\"string\" key=\"eventOnUpdate\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getEventOnUpdate()) + "</value>\n");
            }

        return xml;
    }
}
