/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.forms;

public class Anchors extends com.mysql.grt.GrtObject {

    protected Anchors() {
    }

    public Anchors(Object obj) {
        super();

        if ((obj == null) || (obj instanceof com.mysql.grt.GrtObject)) {
            data = new AnchorsDataLocal(this);

            data.setOwner((com.mysql.grt.GrtObject) obj);
            com.mysql.grt.Grt.getInstance().addToObjectCache(this);
        } else if (obj instanceof String) {
            data = new AnchorsDataGlobal((String) obj);
        }
    }

    public int getLeft() {
        return ((AnchorsData) data).getLeft();
    }

    public int setLeft(int left) {
        ((AnchorsData) data).setLeft(left);

        return getLeft();
    }

    public int getTop() {
        return ((AnchorsData) data).getTop();
    }

    public int setTop(int top) {
        ((AnchorsData) data).setTop(top);

        return getTop();
    }

    public int getRight() {
        return ((AnchorsData) data).getRight();
    }

    public int setRight(int right) {
        ((AnchorsData) data).setRight(right);

        return getRight();
    }

    public int getBottom() {
        return ((AnchorsData) data).getBottom();
    }

    public int setBottom(int bottom) {
        ((AnchorsData) data).setBottom(bottom);

        return getBottom();
    }

    public StringBuffer getGrtXmlMembers(StringBuffer xml) {
        super.getGrtXmlMembers(xml);

            xml.append("<value type=\"int\" key=\"left\">"
                    + Integer.toString(getLeft()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"top\">"
                    + Integer.toString(getTop()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"right\">"
                    + Integer.toString(getRight()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"bottom\">"
                    + Integer.toString(getBottom()) + "</value>\n");

        return xml;
    }
}
