/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.forms;

public class ApplicationDataLocal extends com.mysql.grt.GrtObjectDataLocal implements ApplicationData {

    private int active;

    private int mouseX;

    private int mouseY;

    private com.mysql.grt.forms.FormList forms;

    private String mainForm;

    private String activeForm;

    public ApplicationDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public int getActive() {
        return active;
    }

    public int setActive(int active) {
        this.active = active;

        return getActive();
    }

    public int getMouseX() {
        return mouseX;
    }

    public int setMouseX(int mouseX) {
        this.mouseX = mouseX;

        return getMouseX();
    }

    public int getMouseY() {
        return mouseY;
    }

    public int setMouseY(int mouseY) {
        this.mouseY = mouseY;

        return getMouseY();
    }

    public com.mysql.grt.forms.FormList getForms() {
        if (forms == null)
            forms = new com.mysql.grt.forms.FormList(this.grtObject);
        return forms;
    }

    public com.mysql.grt.forms.FormList setForms(com.mysql.grt.forms.FormList forms) {
        this.forms = forms;
        return getForms();
    }

    public com.mysql.grt.forms.Form getMainForm() {
        return (com.mysql.grt.forms.Form) com.mysql.grt.Grt.getInstance().getObjectByRefId(mainForm);
    }

    public com.mysql.grt.forms.Form setMainForm(com.mysql.grt.forms.Form mainForm) {
        this.mainForm = mainForm.get_id();
        return getMainForm();
    }

    public String getMainFormById() {
        return mainForm;
    }

    public void setMainFormById(String mainForm) {
        this.mainForm = mainForm;
    }

    public com.mysql.grt.forms.Form getActiveForm() {
        return (com.mysql.grt.forms.Form) com.mysql.grt.Grt.getInstance().getObjectByRefId(activeForm);
    }

    public com.mysql.grt.forms.Form setActiveForm(com.mysql.grt.forms.Form activeForm) {
        this.activeForm = activeForm.get_id();
        return getActiveForm();
    }

    public String getActiveFormById() {
        return activeForm;
    }

    public void setActiveFormById(String activeForm) {
        this.activeForm = activeForm;
    }

}
