/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.model;

public class ModelDataGlobal extends com.mysql.grt.GrtObjectDataGlobal implements ModelData {

    public ModelDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public com.mysql.grt.GrtHashMap getCustomData() {
        return (com.mysql.grt.GrtHashMap) getGrtGlobalAsObject("customData");

    }

    public com.mysql.grt.GrtHashMap setCustomData(com.mysql.grt.GrtHashMap customData) {
        setGrtGlobalFromObject("customData", customData);

        return getCustomData();
    }

    public com.mysql.grt.model.ViewList getViews() {
        return (com.mysql.grt.model.ViewList) getGrtGlobalAsObject("views");
    }

    public com.mysql.grt.model.ViewList setViews(com.mysql.grt.model.ViewList views) {
        setGrtGlobalFromObject("views", views);

        return getViews();
    }

    public com.mysql.grt.model.MarkerList getMarkers() {
        return (com.mysql.grt.model.MarkerList) getGrtGlobalAsObject("markers");
    }

    public com.mysql.grt.model.MarkerList setMarkers(com.mysql.grt.model.MarkerList markers) {
        setGrtGlobalFromObject("markers", markers);

        return getMarkers();
    }

    public com.mysql.grt.model.View getCurrentView() {
        return (com.mysql.grt.model.View) com.mysql.grt.Grt.getInstance().getObjectByRefId(
                getGrtGlobalAsString("currentView"));
    }

    public com.mysql.grt.model.View setCurrentView(com.mysql.grt.model.View currentView) {
        setGrtGlobalFromString("currentView", currentView.get_id());

        return getCurrentView();
    }

    public String getCurrentViewById() {
        return getGrtGlobalAsString("currentView");
    }

    public void setCurrentViewById(String currentView) {
        setGrtGlobalFromString("currentView", currentView);
    }

}
