/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.model;

public interface ViewData extends com.mysql.grt.GrtObjectData {

    public double getZoom();

    public double setZoom(double zoom);

    public double getX();

    public double setX(double x);

    public double getY();

    public double setY(double y);

    public double getWidth();

    public double setWidth(double width);

    public double getHeight();

    public double setHeight(double height);

    public String getDescription();

    public String setDescription(String description);

    public String getElementLayoutClass();

    public String setElementLayoutClass(String elementLayoutClass);

    public String getConnectionLayoutClass();

    public String setConnectionLayoutClass(String connectionLayoutClass);

    public com.mysql.grt.model.ElementList getElements();

    public com.mysql.grt.model.ElementList setElements(com.mysql.grt.model.ElementList elements);

    public com.mysql.grt.model.LayerList getLayers();

    public com.mysql.grt.model.LayerList setLayers(com.mysql.grt.model.LayerList layers);

    public com.mysql.grt.model.ElementList getSelection();

    public com.mysql.grt.model.ElementList setSelection(com.mysql.grt.model.ElementList selection);

    public com.mysql.grt.model.Layer getRootLayer();

    public com.mysql.grt.model.Layer setRootLayer(com.mysql.grt.model.Layer rootLayer);

    public String getRootLayerById();

    public void setRootLayerById(String rootLayer);

}
